package com.fjhx.item.entity.product;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class ProductBomDetailExcelBo {
    private final int columnWidth = 16;

    @ExcelProperty("产品名称")
    private String productName;
    @ExcelProperty("产品编码")
    private String productCode;
    @ExcelProperty("物料名称")
    private String materialName;
    @ExcelProperty("物料编码")
    private String materialCode;
    @ColumnWidth(columnWidth)
    @ExcelProperty("规格尺寸")
    private String materialSpecDim;
    @ColumnWidth(columnWidth)
    @ExcelProperty("标准用量")
    private Integer standardDosage;
    @ColumnWidth(columnWidth)
    @ExcelProperty("损耗率")
    private Integer lossRate;
    @ColumnWidth(columnWidth)
    @ExcelProperty("备注")
    private String remark;
}
